

/****************************************
*   Automatic test program generation   *
*       Mon Jul 11 14:21:55 1988        *
****************************************/

#include "swin1.h"

void main (argc, argv)
int argc;
char **argv;
{
   extern XtArgVal getValue();
   extern void getOptions();
   extern void flushEvents();
   extern void myQuit();

   signal (SIGINT, myQuit);

   Shell1 = XtInitialize (argv[0], "swin1.defs", NULL, 0, &argc, argv);
   XwRegisterConverters();
   display = XtDisplay(Shell1);
/*   XSynchronize(display, 1);   */
   getOptions(argc, argv, &delay, &trace);

   n = 0;
   ArgSet(XtNwidth, XtRDimension, "400");
   ArgSet(XtNheight, XtRDimension, "300");
   ArgSet(XtNallowShellResize, XtRBoolean, "True");
   XtSetValues(Shell1, args, n);
   XtRealizeWidget(Shell1);
   wait = True;
   while (wait) {
      XGetWindowAttributes(XtDisplay(Shell1), XtWindow(Shell1), &info);
      if (info.map_state == IsViewable) wait = False;
      else sleep(1);
   }
   if (trace) {
      printf("\nXtInitialize:  Shell1 TopLevelShell\n\n");
      printf("XtSetValues:  Shell1\n");
      printf("XtRealizeWidget:  Shell1\n\n");
   }
   flushEvents(delay);

   n = 0;
   Form1 = XtCreateManagedWidget("Form1", XwformWidgetClass,
      Shell1, args, n);
   if (trace) printf("XtCreateManagedWidget:  Form1 Form Shell1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNborderWidth, XtRDimension, "0");
   ArgSet(XtNfont, XtRFontStruct, "fixed");
   ArgSet(XtNstring, XtRString, "Static");
   ArgSet(XwNxRefName, XtRString, "Form1");
   ArgSet(XwNxAddWidth, XtRBoolean, "True");
   ArgSet(XwNxResizable, XtRBoolean, "True");
   ArgSet(XwNxAttachRight, XtRBoolean, "True");
   StaticText1 = XtCreateManagedWidget("StaticText1", XwstatictextWidgetClass,
      Form1, args, n);
   if (trace) printf("XtCreateManagedWidget:  StaticText1 StaticText Form1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNseparatorType, "SeparatorType", "no_line");
   ArgSet(XwNxRefName, XtRString, "Form1");
   ArgSet(XwNxAddWidth, XtRBoolean, "True");
   ArgSet(XwNxResizable, XtRBoolean, "True");
   ArgSet(XwNxAttachRight, XtRBoolean, "True");
   ArgSet(XwNyRefName, XtRString, "StaticText1");
   ArgSet(XwNyAddHeight, XtRBoolean, "True");
   MenuSep1 = XtCreateManagedWidget("MenuSep1", XwmenuSepWidgetClass,
      Form1, args, n);
   if (trace) printf("XtCreateManagedWidget:  MenuSep1 MenuSep Form1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNborderWidth, XtRDimension, "0");
   ArgSet(XwNlayoutType, XwRLayoutType, "maximum_columns");
   ArgSet(XwNsingleRow, XtRBoolean, "True");
   ArgSet(XwNxRefName, XtRString, "Form1");
   ArgSet(XwNxOffset, XtRInt, "4");
   ArgSet(XwNxAddWidth, XtRBoolean, "True");
   ArgSet(XwNxResizable, XtRBoolean, "True");
   ArgSet(XwNxAttachRight, XtRBoolean, "True");
   ArgSet(XwNxAttachOffset, XtRInt, "4");
   ArgSet(XwNyRefName, XtRString, "MenuSep1");
   ArgSet(XwNyAddHeight, XtRBoolean, "True");
   RowCol1 = XtCreateManagedWidget("RowCol1", XwrowColWidgetClass,
      Form1, args, n);
   if (trace) printf("XtCreateManagedWidget:  RowCol1 RowCol Form1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNfont, XtRFontStruct, "fixed");
   ArgSet(XtNlabel, XtRString, "Area");
   PushButton1 = XtCreateManagedWidget("PushButton1", XwpushButtonWidgetClass,
      RowCol1, args, n);
   if (trace) printf("XtCreateManagedWidget:  PushButton1 PushButton RowCol1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNborderWidth, XtRDimension, "0");
   XtSetValues(RowCol1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "RowCol1");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNfont, XtRFontStruct, "fixed");
   ArgSet(XtNlabel, XtRString, "File");
   PushButton2 = XtCreateManagedWidget("PushButton2", XwpushButtonWidgetClass,
      RowCol1, args, n);
   if (trace) printf("XtCreateManagedWidget:  PushButton2 PushButton RowCol1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNfont, XtRFontStruct, "fixed");
   ArgSet(XtNlabel, XtRString, "Options");
   PushButton3 = XtCreateManagedWidget("PushButton3", XwpushButtonWidgetClass,
      RowCol1, args, n);
   if (trace) printf("XtCreateManagedWidget:  PushButton3 PushButton RowCol1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNfont, XtRFontStruct, "fixed");
   ArgSet(XtNlabel, XtRString, "Show");
   PushButton4 = XtCreateManagedWidget("PushButton4", XwpushButtonWidgetClass,
      RowCol1, args, n);
   if (trace) printf("XtCreateManagedWidget:  PushButton4 PushButton RowCol1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNfont, XtRFontStruct, "fixed");
   ArgSet(XtNlabel, XtRString, "History");
   PushButton5 = XtCreateManagedWidget("PushButton5", XwpushButtonWidgetClass,
      RowCol1, args, n);
   if (trace) printf("XtCreateManagedWidget:  PushButton5 PushButton RowCol1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNseparatorType, "SeparatorType", "no_line");
   ArgSet(XwNxRefName, XtRString, "Form1");
   ArgSet(XwNxAddWidth, XtRBoolean, "True");
   ArgSet(XwNxResizable, XtRBoolean, "True");
   ArgSet(XwNxAttachRight, XtRBoolean, "True");
   ArgSet(XwNyRefName, XtRString, "RowCol1");
   ArgSet(XwNyAddHeight, XtRBoolean, "True");
   MenuSep2 = XtCreateManagedWidget("MenuSep2", XwmenuSepWidgetClass,
      Form1, args, n);
   if (trace) printf("XtCreateManagedWidget:  MenuSep2 MenuSep Form1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNborderWidth, XtRDimension, "0");
   ArgSet(XwNgravity, XwRGravity, "WestGravity");
   ArgSet(XtNfont, XtRFontStruct, "fixed");
   ArgSet(XtNstring, XtRString, "Work Area:");
   ArgSet(XwNxRefName, XtRString, "Form1");
   ArgSet(XwNxOffset, XtRInt, "8");
   ArgSet(XwNxAddWidth, XtRBoolean, "True");
   ArgSet(XwNxResizable, XtRBoolean, "True");
   ArgSet(XwNxAttachRight, XtRBoolean, "False");
   ArgSet(XwNyRefName, XtRString, "MenuSep2");
   ArgSet(XwNyOffset, XtRInt, "4");
   ArgSet(XwNyAddHeight, XtRBoolean, "True");
   StaticText2 = XtCreateManagedWidget("StaticText2", XwstatictextWidgetClass,
      Form1, args, n);
   if (trace) printf("XtCreateManagedWidget:  StaticText2 StaticText Form1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNheight, XtRDimension, "25");
   ArgSet(XtNwidth, XtRDimension, "300");
   ArgSet(XwNxRefName, XtRString, "StaticText2");
   ArgSet(XwNxAddWidth, XtRBoolean, "True");
   ArgSet(XwNxResizable, XtRBoolean, "True");
   ArgSet(XwNxAttachRight, XtRBoolean, "True");
   ArgSet(XwNxAttachOffset, XtRInt, "4");
   ArgSet(XwNyRefName, XtRString, "MenuSep2");
   ArgSet(XwNyOffset, XtRInt, "6");
   ArgSet(XwNyAddHeight, XtRBoolean, "True");
   TextEdit1 = XtCreateManagedWidget("TextEdit1", XwtexteditWidgetClass,
      Form1, args, n);
   if (trace) printf("XtCreateManagedWidget:  TextEdit1 TextEdit Form1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNborderWidth, XtRDimension, "0");
   ArgSet(XwNgravity, XwRGravity, "WestGravity");
   ArgSet(XtNfont, XtRFontStruct, "fixed");
   ArgSet(XtNstring, XtRString, "Selection:");
   ArgSet(XwNxRefName, XtRString, "Form1");
   ArgSet(XwNxOffset, XtRInt, "8");
   ArgSet(XwNxAddWidth, XtRBoolean, "True");
   ArgSet(XwNxResizable, XtRBoolean, "True");
   ArgSet(XwNyRefName, XtRString, "StaticText2");
   ArgSet(XwNyOffset, XtRInt, "4");
   ArgSet(XwNyAddHeight, XtRBoolean, "True");
   StaticText3 = XtCreateManagedWidget("StaticText3", XwstatictextWidgetClass,
      Form1, args, n);
   if (trace) printf("XtCreateManagedWidget:  StaticText3 StaticText Form1\n\n");
   flushEvents(delay);


   n = 0;
   ArgSet(XtNheight, XtRDimension, "25");
   ArgSet(XtNwidth, XtRDimension, "300");
   ArgSet(XwNxRefName, XtRString, "StaticText3");
   ArgSet(XwNxAddWidth, XtRBoolean, "True");
   ArgSet(XwNxResizable, XtRBoolean, "True");
   ArgSet(XwNxAttachRight, XtRBoolean, "True");
   ArgSet(XwNxAttachOffset, XtRInt, "4");
   ArgSet(XwNyRefName, XtRString, "TextEdit1");
   ArgSet(XwNyOffset, XtRInt, "6");
   ArgSet(XwNyAddHeight, XtRBoolean, "True");
   TextEdit2 = XtCreateManagedWidget("TextEdit2", XwtexteditWidgetClass,
      Form1, args, n);
   if (trace) printf("XtCreateManagedWidget:  TextEdit2 TextEdit Form1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNsashIndent, XtRInt, "-50");
   ArgSet(XwNframed, XtRBoolean, "False");
   ArgSet(XwNxRefName, XtRString, "Form1");
   ArgSet(XwNxAddWidth, XtRBoolean, "True");
   ArgSet(XwNxResizable, XtRBoolean, "True");
   ArgSet(XwNxAttachRight, XtRBoolean, "True");
   ArgSet(XwNyRefName, XtRString, "StaticText3");
   ArgSet(XwNyAddHeight, XtRBoolean, "True");
   VPanedWindow1 = XtCreateManagedWidget("VPanedWindow1", XwvPanedWidgetClass,
      Form1, args, n);
   if (trace) printf("XtCreateManagedWidget:  VPanedWindow1 VPanedWindow Form1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNwidth, XtRDimension, "400");
   ArgSet(XtNheight, XtRDimension, "100");
   ArgSet(XwNlayout, XwRLayout, "maximize");
   ArgSet(XwNinitialX, XtRInt, "0");
   ArgSet(XwNallowResize, XtRBoolean, "True");
   ArgSet(XwNallowResize, XtRBoolean, "True");
   ScrolledWindow1 = XtCreateManagedWidget("ScrolledWindow1", XwswindowWidgetClass,
      VPanedWindow1, args, n);
   if (trace) printf("XtCreateManagedWidget:  ScrolledWindow1 ScrolledWindow VPanedWindow1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNheight, XtRDimension, "400");
   ArgSet(XtNwidth, XtRDimension, "390");
   TextEdit3 = XtCreateManagedWidget("TextEdit3", XwtexteditWidgetClass,
      ScrolledWindow1, args, n);
   if (trace) printf("XtCreateManagedWidget:  TextEdit3 TextEdit ScrolledWindow1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNborderWidth, XtRDimension, "0");
   ArgSet(XtNheight, XtRDimension, "30");
   ArgSet(XtNwidth, XtRDimension, "400");
   Form2 = XtCreateManagedWidget("Form2", XwformWidgetClass,
      VPanedWindow1, args, n);
   if (trace) printf("XtCreateManagedWidget:  Form1 Form VPanedWidnow1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNborderWidth, XtRDimension, "0");
   ArgSet(XtNhSpace, XtRInt, "10");
   ArgSet(XtNvSpace, XtRInt, "5");
   ArgSet(XwNgravity, XwRGravity, "WestGravity");
   ArgSet(XtNfont, XtRFontStruct, "fixed");
   ArgSet(XtNstring, XtRString, "File:");
   ArgSet(XwNallowResize, XtRBoolean, "True");
   StaticText4 = XtCreateManagedWidget("StaticText4", XwstatictextWidgetClass,
      Form2, args, n);
   if (trace) printf("XtCreateManagedWidget:  StaticText4 StaticText Form2\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNheight, XtRDimension, "25");
   ArgSet(XtNwidth, XtRDimension, "100");
   ArgSet(XwNxRefName, XtRString, "StaticText4");
   ArgSet(XwNxAddWidth, XtRBoolean, "True");
   ArgSet(XwNxResizable, XtRBoolean, "True");
   ArgSet(XwNyRefName, XtRString, "Form2");
   ArgSet(XwNyOffset, XtRInt, "6");
   ArgSet(XwNyAddHeight, XtRBoolean, "True");
   TextEdit4 = XtCreateManagedWidget("TextEdit4", XwtexteditWidgetClass,
      Form2, args, n);
   if (trace) printf("XtCreateManagedWidget:  TextEdit4 TextEdit Form2\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNwidth, XtRDimension, "400");
   ArgSet(XtNheight, XtRDimension, "200");
   ArgSet(XwNlayout, XwRLayout, "maximize");
   ArgSet(XwNxRefName, XtRString, "Form1");
   ArgSet(XwNxAddWidth, XtRBoolean, "True");
   ArgSet(XwNxResizable, XtRBoolean, "True");
   ArgSet(XwNxAttachRight, XtRBoolean, "True");
   ArgSet(XwNyRefName, XtRString, "VPanedWindow1");
   ArgSet(XwNyAddHeight, XtRBoolean, "True");
   ScrolledWindow2 = XtCreateManagedWidget("ScrolledWindow2", XwswindowWidgetClass,
      Form1, args, n);
   if (trace) printf("XtCreateManagedWidget:  ScrolledWindow2 ScrolledWindow Form1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XtNheight, XtRDimension, "700");
   ArgSet(XtNwidth, XtRDimension, "390");
   TextEdit5 = XtCreateManagedWidget("TextEdit5", XwtexteditWidgetClass,
      ScrolledWindow2, args, n);
   if (trace) printf("XtCreateManagedWidget:  TextEdit5 TextEdit ScrolledWindow2\n\n");
   flushEvents(delay);

   if (trace) printf("XtMainLoop:\n\n");
   XtMainLoop();
}
